This was solved on Ubuntu by installing guile-gnome2-gtk package